Ainda não tem acesso? Estude com a gente! Matricule-se
Ainda não tem acesso? Estude com a gente! Matricule-se

Solucionado (ver solução)

nodemon

Srs, bom dia.

Eu troquei de maquina e ao executar novos projetos estou com erro na instalação do nodemon.

npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.4 (node_modules\nodemon\node_modules\fsevents):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.4: wanted {"os":"darwin","arch":"any"} (current: {"os":"win32","arch":"x64"})

Alguém já pegou esse erro? Se puder ajudar eu afradeço.

7 respostas

Bom dia Leandro,

Não é um erro, é só um aviso. A dependência fsevents, é usada em ambientes macOS, como você está usando windows o npm manda esse aviso dizendo que está pulando a instalação do fsevents.

Você pode usar o comando

npm install --no-optional 

Para pular esse tipo de instalação.

Oi Felipe,

entendi. Mais o que acontece no meu caso é que o nodemon não funciona no meu projeto. Eu fiz a execução do --no-optional como vc recomentou e o cenário permanece o mesmo. O Curioso é que na minha máquina anterior tb era windowns eu não tive esse alerta e o nodemon funcionava corretamente. Não sei se tenho que configurar alguma variável de ambiente. Por enquanto estou me virando com o comando node.

Obrigado pela ajuda.

Você instalou o nodemon usando

npm install -g nodemon

Qual erro que aparece quando você executa ?

Felipe,

quando eu executo: npm install -g nodemon. Recebo esse retorno:

C:\Users\lsribeiro\AppData\Roaming\npm\nodemon -> C:\Users\lsribeiro\AppData\Roaming\npm\node_modules\nodemon\bin\nodemon.js

> nodemon@1.18.7 postinstall C:\Users\lsribeiro\AppData\Roaming\npm\node_modules\nodemon
> node bin/postinstall || exit 0

npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.4 (node_modules\nodemon\node_modules\fsevents):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.4: wanted {"os":"darwin","arch":"any"} (current: {"os":"win32","arch":"x64"})

+ nodemon@1.18.7
updated 1 package in 3.801s

quando eu executo o código: npm install --no-optional, Retorno:

npm WARN cardfast@1.0.0 No description
npm WARN cardfast@1.0.0 No repository field.

audited 123 packages in 1.7s
found 0 vulnerabilities

Quando executo nodemon app.js, retorno:

bash: nodemon: command not found
solução

Srs,

consegui resolver essa situação da seguinte forma. Eu removi a instalação anterior que estava na versão 10.14.1 e instalei a versão 11.3.0. O nodemon está funcionado perfeitamente.

Felipe, agradeço sua atenção.

Se possível você poderia desinstalar o nodemon da sua máquina:

npm uninstall -g nodemon

Vamos tentar instalar usando os seguintes comandos:

npm install -g nodemon

npm install --save-dev nodemon

npm config get prefix

set PATH=%PATH%;C:\Users\lsribeiro\AppData\Roaming\npm;

Opa ainda bem que resolveu !!!

Bons Estudos